summaryrefslogtreecommitdiffstats
path: root/deps/poppler/poppler.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/poppler/poppler.SlackBuild')
-rwxr-xr-xdeps/poppler/poppler.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/deps/poppler/poppler.SlackBuild b/deps/poppler/poppler.SlackBuild
index b94e80a..b416bba 100755
--- a/deps/poppler/poppler.SlackBuild
+++ b/deps/poppler/poppler.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# Modified 2016, 2017 by Eric Hameleers <alien@slackware.com>
PKGNAM=poppler
-VERSION=${VERSION:-0.62.0}
+VERSION=${VERSION:-0.63.0}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -75,6 +75,9 @@ cd ${PKGNAM}-$VERSION || exit 1
# things that depend on it:
cat $CWD/poppler.remove.qt4.frontend.diff | patch -p1 -R --verbose || exit 1
+# Revert a change to SplashPath.h (in 0.63.0) that breaks compiling the qt4 frontend:
+cat $CWD/poppler.splashpath.h.revert.diff | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \